Subject: Re: bug#42482: 27.0.91; emacs modules memory leak

From: Philipp Stephani <[email-masked]>
Date: Sat, 1 Aug 2020 16:47:18 +0200

Am Sa., 1. Aug. 2020 um 14:55 Uhr schrieb Nicolas Petton <[email-masked]>:
>
> Eli Zaretskii <[email-masked]> writes:
>
> >> I've now added a few more tests and backported the fix to the release branch.
> >
> > I think it's too late for Emacs 27.1, sorry.  The tarball is already
> > made.
>
> If the bugfix is important enough, I can build a new RC tomorrow and set
> the release date to the 8th of Aug.

I don't feel strongly either way. My expectation for global references
is that they should mainly be used for the module equivalent of defvar
and friends, in which case the bug isn't that severe because nobody
needs millions of defvars. OTOH, people might use global references
for other means, including allocating them dynamically, in which case
leaking them can become annoying.